#### CtrlAltStudio Viewer Archaeological Dig Site 2022.02

Expedition notes:
- original CodePlex open source project recovered using the Way Back Machine [🏛 CodePlex ctrlaltstudioviewer snapshot](https://web.archive.org/web/*/https://codeplexarchive.blob.core.windows.net/archive/projects/ctrlaltstudioviewer/*)
- mercurial (.hg) repo then ressurected as wayback => codeplex => ctrlaltstudioviewer.zip => sourceCode/
- corresponding .git version constructed using [frej/fast-export](https://github.com/frej/fast-export.git)
- the CAS code was originally forked from "Firestorm 4.4.0" branch (from the then-official Firestorm .hg repo)
  - but the Firestorm project has since migrated to .git
  - a common ancestry was partially synthesized by grafting CAS onto a "modern day" .git "Firestorm 4.4.0" base
- content captures from the archived CodePlex project page and documentation pages appear below for reference

NOTE: 🏛  indicates links traveling back in the time through the [Way Back Machine](https://web.archive.org)

------------------------------

<sub>"CtrlAltStudio Viewer CodePlex home page"<br />
<sup>[🏛 https://web.archive.org/web/20160908183631/http://ctrlaltstudioviewer.codeplex.com/](https://web.archive.org/web/20160908183631/http://ctrlaltstudioviewer.codeplex.com/)</sup></sub>

------------------------------

>An Oculus Rift and Stereoscopic 3D Second Life / OpenSim Viewer
>===============================================================
>
>Features
>--------
>
>The CtrlAltStudio Viewer is based on the Firestorm Viewer and adds the following primary features:
>
>*   Oculus Rift support
>*   Stereoscopic 3D support
>*   Variable walk & fly speed
>*   Xbox Controller support
>*   Kinect for Windows support
>
>While the code the viewer is based on works on Windows, Mac, and Linux, the CtrlAltStudio Viewer code currently only runs on Windows.  
>
>Status
>------
>
>**This viewer is not being actively maintained.** The most recent Windows release is based on Firestorm 4.6.9 which was released in Dec 2014; there have been many improvements and bug fixes in Firestorm and other viewers since then that are not included in CtrlAltStudio Viewer. Unless you really need Oculus Rift or stereoscopic 3D support you should seriously consider using another viewer instead: either [🏛 Linden Lab’s viewer](https://web.archive.org/web/20160908183631/http://secondlife.com/support/downloads/) or one of the [🏛 other third party viewers](https://web.archive.org/web/20160908183631/http://wiki.secondlife.com/wiki/Third_Party_Viewer_Directory) such as [🏛 Firestorm](https://web.archive.org/web/20160908183631/http://www.firestormviewer.org/).  
>
>Versions
>--------
>
>*   [🏛 1.2.6 Alpha](https://web.archive.org/web/20160908183631/https://ctrlaltstudioviewer.codeplex.com/releases/view/625059): Latest release
>
>More Information
>----------------
>
>For general information see: [🏛 http://ctrlaltstudio.com/viewer](https://web.archive.org/web/20160908183631/http://ctrlaltstudio.com/viewer)  
>  
>For information on using the code see this repository’s [🏛 Documentation](https://web.archive.org/web/20160908183631/https://ctrlaltstudioviewer.codeplex.com/documentation) page.  
>
>Acknowledgments
>---------------
>
>Based on the [🏛 Firestorm Viewer](https://web.archive.org/web/20160908183631/http://www.firestormviewer.org/). Many thanks to them for providing their codebase. Thanks also to Cinder Roxley for providing the Mac build and to other contributers per the viewer’s Help > About.
>
>

----------------------------------

<sub>CtrlAltStudio Viewer CodePlex documentation page<br />
<sup>[🏛 https://web.archive.org/web/20160703193412/http://ctrlaltstudioviewer.codeplex.com/documentation](https://web.archive.org/web/20160703193412/http://ctrlaltstudioviewer.codeplex.com/documentation)</sup></sub>

------------------------------------

>
>Information
>-----------
>
>General information on the CtrlAltStudio Viewer is provide on the CtrlAltStudio Web site: [🏛 http://ctrlaltstudio.com/viewer](https://web.archive.org/web/20160703193412/http://ctrlaltstudio.com/viewer)  
>  
>Information on building the CtrlAltStudio Viewer is provided in the release notes found in the root directory of the [🏛 source code](https://web.archive.org/web/20160703193412/https://ctrlaltstudioviewer.codeplex.com/SourceControl/latest).  
>
>Licensing
>---------
>
>The CtlrAltStudio Viewer is licensed under LGPL. It is based on the [🏛 Firestorm viewer’s](https://web.archive.org/web/20160703193412/http://www.firestormviewer.org/) codebase under LGPL, which in turn is based on Linden Lab’s [🏛 Project Snowstorm](https://web.archive.org/web/20160703193412/http://wiki.secondlife.com/wiki/Project_Snowstorm) codebase under LGPL. Many other viewers also provide their code under LGPL, thus promoting sharing of each other’ work and meaning that code from them has also made its way into the Firestorm and Snowstorm code.  
>
>Reusing Code
>------------
>
>If you intend to use CtrlAltStudio Viewer code in your project then I encourage you to [🏛 contact me](https://web.archive.org/web/20160703193412/http://ctrlaltstudio.com/about) and say “hi”. Perhaps I can provide further assistance or we can collaborate.  
>  
>Unreleased features may be provided in the public CtrlAltStudio repository, but please don’t copy and release them ahead of the CtrlAltStudio Viewer’s releases.  
>  
>If you reuse CtrlAltStudio Viewer code, please credit it in your repository and your project’s “About” or similar dialogue box.  
>  
>Please do not call your project something similar and do not use the CtrlAltStudio Viewer name or logos.  
>
>Disclaimers
>-----------
>
>This software is not provided or supported by Linden Lab, the makers of Second Life.  
>  
>The General Generic Disclaimer: THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
>
